<?php
/**
 * Your Inspiration Themes
 *
 * @package WordPress
 * @subpackage Your Inspiration Themes
 * @author Your Inspiration Themes Team <info@yithemes.com>
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

/**
 * Update scripts
 */

if ( function_exists('cx_api') ) {
	add_action( 'yit_theme_updated', 'cx_api' );
}

/**
 * 1.2.5
 */
function yit_update_1_2_5() {

	/* ====== Update CPTU ====== */

	global $wpdb;

	$temp = array();
	$prefixes = array( 'sliders' => 'sl_', 'portfolios' => 'po_', 'feature-tabs' => 'ft_', 'teams' => 'team_' );

	foreach ( $prefixes as $post_type => $prefix ) {
		$args = array(
			'post_type' => $post_type,
			'posts_per_page' => -1,
			'post_status' => 'publish'
		);
		$post_types = get_posts( $args );

		foreach ( $post_types as $the ) {
			$from = substr( $prefix . $the->post_name, 0, 20 );
			$to   = yit_avoid_duplicate( str_replace( '-', '_', substr( $prefix . $the->post_name, 0, 16) ), $temp );

			$temp[] = $to;
			$wpdb->update( $wpdb->posts, array( 'post_type' => $to ), array( 'post_type' => $from ) );
		}
	}

}
add_action( 'yit_theme_updated_to_1_2_5', 'yit_update_1_2_5' );